Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Static Public Attributes | List of all members
Video Class Reference

`#include <platformVideo.h>`

## Static Public Member Functions
static void | init ()
static void | destroy ()
static bool | installDevice (DisplayDevice *dev)
static bool | setDevice (const char *renderName, U32 width, U32 height, U32 bpp, bool fullScreen)
static bool | setScreenMode (U32 width, U32 height, U32 bpp, bool fullScreen)
static void | deactivate (bool force=false)
static void | reactivate (bool force=false)
static bool | setResolution (U32 width, U32 height, U32 bpp)
static bool | toggleFullScreen ()
static DisplayDevice * | getDevice (const char *renderName)
static const char * | getDeviceList ()
static const char * | getResolutionList ()
static const char * | getDriverInfo ()
static bool | prevRes ()
static bool | nextRes ()
static Resolution | getResolution ()
static Resolution | getDesktopResolution ()
static bool | isFullScreen ()
static void | swapBuffers ()
static bool | getGammaCorrection (F32 &g)
static bool | setGammaCorrection (F32 g)
static bool | setVerticalSync (bool on)

## Static Public Attributes
static bool | smNeedResurrect = false

## Member Function Documentation

void deactivate | ( | bool | force = `false` | ) |
| static

void destroy | ( | void |  | ) |
| static

Resolution getDesktopResolution | ( |  | ) |
| static

DisplayDevice * getDevice | ( | const char * | renderName | ) |
| static

const char * getDeviceList | ( |  | ) |
| static

const char * getDriverInfo | ( |  | ) |
| static

bool getGammaCorrection | ( | F32 & | g | ) |
| static

Resolution getResolution | ( |  | ) |
| static

const char * getResolutionList | ( |  | ) |
| static

void init | ( |  | ) |
| static

bool installDevice | ( | DisplayDevice * | dev | ) |
| static

bool isFullScreen | ( |  | ) |
| static

bool nextRes | ( |  | ) |
| static

bool prevRes | ( |  | ) |
| static

void reactivate | ( | bool | force = `false` | ) |
| static

bool setDevice | ( | const char * | renderName,
|  | U32 | width,
|  | U32 | height,
|  | U32 | bpp,
|  | bool | fullScreen
| ) |  |
| static

bool setGammaCorrection | ( | F32 | g | ) |
| static

bool setResolution | ( | U32 | width,
|  | U32 | height,
|  | U32 | bpp
| ) |  |
| static

bool setScreenMode | ( | U32 | width,
|  | U32 | height,
|  | U32 | bpp,
|  | bool | fullScreen
| ) |  |
| static

bool setVerticalSync | ( | bool | on | ) |
| static

void swapBuffers | ( |  | ) |
| static

bool toggleFullScreen | ( |  | ) |
| static

## Member Data Documentation

bool smNeedResurrect = false
| static

The documentation for this class was generated from the following files:

- platform/platformVideo.h
- platform/platformVideo.cc
- platformAndroid/AndroidOGLVideo.cpp
- platformEmscripten/EmscriptenWindow.cpp